Subject: Re: [rrg] moving towards recommendation: the current plan

From: Christian Vogt <[email-masked]>
Date: Tue, 15 Dec 2009 01:25:59 -0500

Folks -

In response to Lixia's call for RRG solution proposals, I would like to
suggest, again, the name-based sockets described in the paper below,  
as an
identifier-locator separation method with good deployability properties.

http://christianvogt.mailup.net/pub/2009/vogt-2009-name-oriented-sockets.pdf

The following earlier email of mine explains why identifier-locator
separation in general, and name-based sockets in particular, address the
routing scalability problem:

http://www.ietf.org/mail-archive/web/rrg/current/msg05371.html

Please note that the above paper is under continuous evolution regarding
its engineering aspects, so as to take into account the feedback I am
receiving publicly and privately.

- Christian

On Nov 14, 2009, Lixia Zhang wrote:

> RRG is due for a recommendation to IETF on scalable routing solution  
> by
> March 2010 IETF meeting. Here is the plan and schedule for the
> recommendation process as we discussed at the Friday meeting:
>
> 12/15: deadline for the final call for proposals that want to be
> considered for final recommendation.
>
> after this date, RRG will have focused discussion on contrasting,
> comparing and critiques of all the candidate proposals.
>
> 2/15/10: ending date for the comparison and critiques; starting date  
> for
> drafting recommendation document.
>
> March 2010 (next IETF): submitting first version of RRG recommendation
> draft
>
> I just looked up the IETF 77 schedule:
>
> 2010-03-01 (Monday): Internet Draft Cut-off for initial document (-00)
> submission by 17:00 PST (01:00 UTC), upload using IETF ID Submission
> Tool.
>
> SO this only gives us 2 weeks for writeup. Hopefully text will start
> getting drafted during the comparison study and we can spend these two
> weeks mostly for structuring the document.
>
> RRG co-chairs